summaryrefslogtreecommitdiffstats
path: root/source/l/chmlib/chmlib.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/chmlib/chmlib.SlackBuild')
-rwxr-xr-xsource/l/chmlib/chmlib.SlackBuild27
1 files changed, 21 insertions, 6 deletions
diff --git a/source/l/chmlib/chmlib.SlackBuild b/source/l/chmlib/chmlib.SlackBuild
index 252dc53b4..17b7ee732 100755
--- a/source/l/chmlib/chmlib.SlackBuild
+++ b/source/l/chmlib/chmlib.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007-2008 Robby Workman, Northport, Alabama, 35475
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.39
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-1}
+PKGNAM=chmlib
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:--j6}
CWD=$(pwd)
@@ -40,13 +51,16 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf chmlib-$VERSION
-tar xvf $CWD/chmlib-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/chmlib-$VERSION.tar.?z* || exit 1
cd chmlib-$VERSION || exit 1 || exit 1
chown -R root:root .
find . \
@@ -61,6 +75,7 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/chmlib-$VERSION \
+ --enable-examples \
--disable-static \
--build=$ARCH-slackware-linux
@@ -74,7 +89,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/chmlib-$VERSION
cp -a \
- AUTHORS COPYING* NEWS README \
+ AUTHORS COPYING* NEWS README* \
$PKG/usr/doc/chmlib-$VERSION
mkdir -p $PKG/install